# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=valgrind
pkgver=3.19.0
pkgrel=1
pkgdesc="Tool to help find memory-management problems in programs"
arch=('x86_64')
url="http://valgrind.org/"
license=('GPL')
groups=('base')
depends=('glibc' 'perl')
makedepends=('gdb')
options=('!emptydirs' '!strip')
source=(https://sourceware.org/pub/${pkgname}/${pkgname}-${pkgver}.tar.bz2)
sha256sums=(dd5e34486f1a483ff7be7300cc16b4d6b24690987877c3278d797534d6738f02)

build() {
    cd ${pkgname}-${pkgver}

    # valgrind does not like some of our flags
    CPPFLAGS=${CPPFLAGS/-D_FORTIFY_SOURCE=2/}
    CFLAGS=${CFLAGS/-fno-plt/}
    CXXFLAGS=${CXXFLAGS/-fno-plt/}

    ${configure} --enable-only64bit

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
